Send Envelope for Signing
curl --request POST \
--url https://api.gonitro.dev/sign/envelopes/{envelopeID}:send-for-signing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gonitro.dev/sign/envelopes/{envelopeID}:send-for-signing"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gonitro.dev/sign/envelopes/{envelopeID}:send-for-signing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"status": "drafted"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid Authorization header",
"instance": "/sign/envelopes"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#404-not-found",
"title": "Not Found",
"status": 404,
"detail": "Envelope with ID 'envelop-123' not found",
"instance": "/sign/envelopes/envelop-123"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#409-conflict",
"title": "Conflict",
"status": 409,
"detail": "Envelope in invalid state",
"instance": "/sign/envelopes/%s:send-for-signing"
}Envelopes
Send Envelope for Signing
The Send Envelope for Signing endpoint sends an envelope to participants for signature collection.
Note: All documents in the envelope must have an “uploaded” status before the envelope can be sent for signature.
POST
/
sign
/
envelopes
/
{envelopeID}
:send-for-signing
Send Envelope for Signing
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique UUIDv4 string that identifies the envelope in the Nitro system.
Response
Envelope successfully sent for signing
A unique UUIDv4 string that identifies the envelope in the Nitro system.
UTC timestamp indicating when the envelope was created.
UTC timestamp indicating the last time the envelope was updated. Matches createdAt at the time of creation.
The name of the envelope.
The internal status of the envelope. Defaults to drafted on creation.
Available options:
drafted, sent, processing, sealed, rejected, cancelled, deleted